

# Vowel alternations in passive verbs

The document shows vowel changes for the passive morphology, RV = root vowel, u, y context:


## Bisyllabic


|   Root  | u2->u  | u2->o  | contlex         | comm
| --- | --- | --- | --- | --- 
|  ee     |  e      | iä      | C_PASS_SH_RVSH   | ok
|  eRV    |  e      | iä      | C_PASS_SH_RVSH   | ok
|  ää     |  a      | á       | C_PASS_SH_RVSH   | ok
|  äRV    |  a      | á       | C_PASS_SH_RVSH   | ok
|  aRV    |  oo     | a       | C_PASS_SH_RLEN   | -
|  aRV    |  o      | a       | C_PASS_SH_RVSH   | ok
|  oRV    |  u      | o       | C_PASS_SH_RVSH   | ok
|  oRV    |  o      | o       | C_PASS_SH_RVSH   | ok
|  o5RV   |  u      | u       | C_PASS_SH        | -
|  iRV    |  i      | i       | C_PASS_SH_RVSH   | ok
|  o      |  o      | a       | C_PASS_SH_RVSH   | -
|  ye     |  uo     | uá      | C_PASS_SH_RLEN   | ok 
|  ie     |  ie     | iä      | C_PASS_SH_RVSH   | ok
|  uá     |  o      | uá      | C_PASS_SH_RLEN   | -
|  uá     |  oo     | uá      | C_PASS_SH_RLEN ? | -
|  u5á    |  uo     | uá      | C_PASS_SH        | ok
|  uá     |  a      | á       | C_PASS_SH        | ok
|  uRV    |  u      | u       | C_PASS_SH        | -




### âđ stems


|   Root | u  | j   | Examples | lex-der-yaml | passlex
| --- | --- | --- | --- | --- | --- 
|   ää   |  a  |  á   | čaahâđ     | aassad  | C_PASS_SH_RVSH
|   ee   |  e  |  iä  | peerrâđ    | aassad  | C_PASS_SH_RVSH
|   äRV  |  a  |  á   | kavnâđ     | kavnad  | C_PASS_SH_RVSH
|   aRV  |  oo |  a   | moonnâđ    | moonnad | C_PASS_SH_RLEN
|   oRV  |  u  |  o   | luuhâđ     | toohad  | C_PASS_SH_RVSH
|   eRV  |  e  |  iä  | spellâđ    | spellad | C_PASS_SH_RVSH
|   iRV  |  i  |  i   | viggâđ     | soddad  | C_PASS_SH_RVSH
|   iRV  |  i  |  i   | viiššâđ    | viissad | C_PASS_SH_RVSH
|   oRV  |  u  |  o   | kulgâđ     | kulgad  | C_PASS_SH_RVSH
|   o    |  o  |  a   | toppâđ     | kulgad  | C_PASS_SH_RVSH
|   ye   |  uo |  uá  | vuollâđ    | vuollad | C_PASS_SH_RLEN
|   ye   |  uo |  uá  | ruottâđ    | ruottad | C_PASS_SH_RLEN
|   ie   |  ie |  iä  | kiessâđ    | kiessad | C_PASS_SH_RVSH
|   ie   |  ie |  iä  | viežžâđ    | viežžad | C_PASS_SH_RVSH
|   uá   |  o  |  uá  | oppâđ      | oppad   | C_PASS_SH_RLEN ?
|   uá   |  o  |  uá  | toollâđ    | toollad | C_PASS_SH_RLEN ?
|   oRV  |  u  |  o   | puurrâđ    | toohad  | C_PASS_SH_RVSH
|   aRV  |  o  |  a   | toohâđ     | toohad  | C_PASS_SH_RVSH




### iđ stems


|   Root | u  | j   | Examples  | lex-der-yaml  | passlex
| --- | --- | --- | --- | --- | --- 
|   äRV  |  a  |  á   | kästiđ      | kastid | C_PASS_SH
|   eRV  |  e  |  iä  | celkkiđ     | celkkid, _ID | C_PASS_SH_RVSH
|   ää   |  a  |  á   | čäälliđ     | caallid | C_PASS_SH_RVSH
|   ye   |  uo |  uá  | vyelgiđ     | vyelgid | C_PASS_SH_RLEN
|   ee   |  e  |  iä  | peehiđ      | keessid | C_PASS_SH
|   uá   |  a  |  á   | uáđđiđ      | uaddid  | C_PASS_SH
|   ie   |  ie |  iä  | tiettiđ     | tiettid | C_PASS_SH




### eđ stems


|   Root | u  | j   | Examples | lex-der-yaml  | passlex
| --- | --- | --- | --- | --- | --- 
|   aRV  |  o  |  a   | kalveđ     | kalved | C_PASS_SH_RVSH
|   o5RV |  u  |  u   | toideđ     | pohted | C_PASS_SH
|   uRV  |  u  |  u   | suldeđ     | pihted | C_PASS_SH
|   iRV  |  i  |  i   | pihteđ     | pihted | C_PASS_SH




### uđ stems




|   Root | u  | j   | Examples | lex-der-yaml  | passlex
| --- | --- | --- | --- | --- | --- 
|   u5á  |  uo |  uá  | čuárvuđ    | cuarvud, _UD | C_PASS_SH
|   uá   |  oo |  uá  | kuárruđ    | kuarrud      | C_PASS_SH_RLEN






### ođ stems


|   Root | u  | j   | Examples | lex-der-yaml   | passlex
| --- | --- | --- | --- | --- | --- 
|   a     | a  |  a   |  paččođ    | _OD | C_PASS_SH
|   i     | i  |  i   |  rimččođ	  | _OD | C_PASS_SH
|   u     | u  |  u   |  čurttođ	  | _OD | C_PASS_SH
|   o     | o  |  o   |  koččođ	  | koccod, _OD | C_PASS_SH
|   a     | a  |  a   |  laigođ	  | _OD | C_PASS_SH
|   u     | u  |  u   |  puiccođ	  | _OD | C_PASS_SH




### oođ stems


No passive here.






### eeđ stems


|   Root | u  | j   | Examples | lex-der-yaml | passlex
| --- | --- | --- | --- | --- | --- 
|   aRV   | o  |  a   |  anneeđ    | anneed, _EED  | C_PASS_SH_RVSH
|   oRV   | u  |  o   |  jotteeđ	  | _EED          | C_PASS_SH_RVSH
|   aRV   | o  |  a   |  pahheeđ   | pahheed, 2SYLL_PAHHEED | C_PASS_SH_RVSH
|   uRV   | u  |  u   |  suđđeeđ   | _EED, check this if it does not fit | C_PASS_SH_RVSH
|   iRV   | i  |  i   |  itteeđ    | _EED | C_PASS_SH_RVSH




## Threesyllabic stems


... is a different story. Those were not documented here (see the source code).





