



# KAKSITAVUISET SUBSTANTIIVIT JA NIIDEN TAIVUTUS  
Kieliteknologian näkökulma 


# Johdannoksi


Inarinsaamen substantiivitaivutus on koettu monimutkaiseksi, joskin säännönmukaiseksi. Opetustilanteissa sekä opettajat että opiskelijat ovat kuumeisesti etsineet säännönmukaisuuksia äännevaihteluille: mikä vaihtelee ja missä kohden? Se, miksi kyseinen vaihtelu esiintyy, on ehkä historiallisesti kiinnostavaa, mutta tietokone ei ole tästä näkymästä kiinnostunut. Tästä syystä muutosten syitä ei esitetä. 


Tavallisissa kieliopeissa esitetyt taivutustyypit eivät ole olleet aukottomia. Tämän morfofonologisen kieliopin tarkoitus on antaa inarinsaamen taivutusparadigmat täydellisinä – sellaisina kuin ne kieliteknologiaprojektissa tietokoneelle opetetaan. Pohjana on kieliteknologian analyysin kautta tutkittu leksikko eli sanasto, joka on koottu e-sanakirjasta.


Tätä morfofonologista kielioppia kannattaa lukea muun materiaalin oheislukemistona. Se ei yksinään sovellu kielen opiskeluun. Tässä kieliopissa on käytetty myös kieliopillista terminologiaa, joka avautuu parhaiten oppikirjojen ja  tavallisen kieliopin kanssa sekä opettajajohtoisesti. Jonkinasteinen kielitieteellinen pohja siis tarvitaan. 


Samoin oletetaan ns. sanakirjaortografian hallinta. Taulukoissa käytetään kahta tavallisesta ortografiasta puuttuvaa merkkiä: pistettä yksittäisen konsonantin alla (esim. ṛ ja ḷ) sekä apostrofia (´), esim. kyeḷi ja kyeˊle. 


## Taivutustyypit ja niiden kaavat


Perinteisessä kieliopissa on totuttu puhumaan esim. â-vartaloista ja e-vartaloista. Näistä on annettu esimerkkejä, mutta näitä ei kumminkaan ole tyhjentävästi kuvattu: vartaloiden sisälläkin esiintyy vielä lukuisia taivutustyyppejä, joissa esiintyy omanlaistaan äännevaihtelua. Juuri tämä on tehnyt kielen oppimisesta hankalan tuntuista. 


Tämän morfofonologisen kielopin taivutustaulukoihin on kirjoitettu auki kunkin taivutustyypin morfofonologinen kaava koodeja käyttäen – ts. se, millaisia äänteenmuutoksia sanassa tapahtuu ja missä kohden. Nämä muutokset ovat säännönmukaisia. Taulukoissa käytetyt lyhenteet ovat kieliteknoprojektin lyhenteitä. Nämä lyhenteet on selvitetty seuraavassa listassa.




## Taivutustyypeissä käytettyjen äänteenmuutosten lyhenteet ja äänteenmuutosten selitykset


### Lyhenteet


* WG = Weak grade / heikko aste
* RLEN = Root vowel lengthening / Ensitavun vokaalin / diftongin pidentyminen
* RVSH = Root vowel shortening / Ensitavun vokaalin / diftongin lyhentyminen
* CLEN = Consonant lengthening / Keskuskonsonantiston pidentyminen
* CSH = Consonant shortening / Keskuskonsonantiston lyhentyminen
* SVLOW = Stem vowel lowering / Vartalovokaalin madaltuminen




### Äänteenmuutosten selitykset


### Vahva aste vs. heikko aste


Kaksitavuisissa sanoissa yksikön nominatiivi ja illatiivi sekä essiivi ja partitiivi ovat vahva-asteisia. Vahvaa astetta ei ole erikseen nimetty. 


Kaikki muut sijat kuin edellä mainitut ovat heikossa asteessa. Näihin on konsonanttikeskukseen liitetty lyhenne WG. Huomaa, että heikko aste WG tarkoittaa kieliteknologiassa ainoastaan konsonanttikeskusta, kun taas perinteisessä kieliopissa puhutaan yleensä vahvan ja heikon asteen vartalosta. Tästä syystä kieliteknologiassa joudutaan merkitsemään ensitavun pidennykset ja ylilyhennys erikseen.




### Ensitavun vokaalin / diftongin pidentyminen


Ensitavun vokaali / diftongi pitenee sekä vahvassa että heikossa asteessa: sollâ > soolâ, soolâ+n; kutkâ: kuuđhâ: kuutkâ+n; niei´dâ (lyhyt): nieidâ (pitkä): nieidâ+n (pitkä).




### Ensitavun vokaalin / diftongin lyhentyminen


Ensitavun vokaali / diftongi lyhenee kolmessa sijamuodossa: yksikön abessiivissa, monikon komitatiivissa ja monikon abessiivissa, esim. sollâ > so´lâ+ttáá, so´lâ+i+guin, so´lâ+i+ttáá; niei´dâ: nie´idâ+ttáá, nie´idâ+i+guin, nie´idâ+i+ttáá. 




### Keskuskonsonantiston pidentyminen


Vahvan asteen ja heikon asteen konsoantit voivat toisinaan pidentyä. Kieḷâ-sanan essiivi ja partitiivi ovat pidentymämuotoja: kieḷâ > kiellâ+n, kiellâ+d. Sukká-sanassa esim. yksikön komitatiivi on pidentymämuoto: sukká: suhá > suhhá+in. 




### Keskuskonsonantiston lyhentyminen


Pitkä keskuskonsonantti voi lyhentyä yksikön illatiivissa: esim. sollâ: sooḷâ+n (ll >ḷ).




### Vartalovokaalin madaltuminen


Vartalovokaali â voi muuttua á:ksi ja vartalovokaali u voi muuttua o:ksi, esim. sollâ > soolá+in, piälkku > piälho+in. 






# â-SUBSTANTIIVIT 


## Taivutustyypit


Taulukko 1. Kaksitavuisten â-vartaloisten substantiivien taivutustyypit.






|   tag  | SOLLÂ | MOOLÂ | KIELÂ | NIEIDÂ | LAVKKÂ
| --- | --- | --- | --- | --- | --- 
|  Sg Nom | - | - | - | - | -
|  Sg Gen | RLEN, WG | WG | WG | RLEN, WG  | RLEN, WG
|  Sg Acc | RLEN, WG | WG | WG | RLEN, WG | RLEN, WG
|  Sg Ill | RLEN, CSH | - | - | RLEN | RLEN
|  Sg Loc | RLEN, WG | WG | WG | RLEN, WG | RLEN, WG
|  Sg Com | RLEN, WG, SVLOW | WG, SVLOW | WG, SVLOW | (WG, CLEN) SVLOW | WG,  SVLOW
|  Sg Abe | RVSH, WG | RVSH, WG | RVSH, WG | RVSH, WG | RVSH, WG
|  Ess | - | CLEN | CLEN | - | -
|  Par | - | CLEN | CLEN | - | -
|  Pl Nom | RLEN, WG | WG | WG | RLEN, WG | RLEN, WG
|  Pl Gen | RLEN, WG | WG | WG | RLEN, WG | RLEN, WG
|  Pl Gen2 | RVSH, WG | RVSH, WG | RVSH, WG | RVSH, WG | RVSH, WG
|  Pl Acc | RLEN, WG | WG | WG | RLEN, WG | RLEN, WG
|  Pl Ill | RLEN, WG, SVLOW | WG, SVLOW | WG, SVLOW | (WG, CLEN ) SVLOW | WG, SVLOW
|  Pl Loc | RLEN, WG | WG | WG | RLEN, WG | RLEN, WG
|  Pl Com | RVSH, WG | RVSH, WG | RVSH, WG | RVSH, WG | RVSH, WG
|  Pl Abe | RVSH, WG | RVSH, WG | RVSH, WG | RVSH, WG | RVSH, WG




Moolâ ja kielâ leaba seammaláganat. Nu ahte diftoŋggaide ferte heivehit iežas njuolggadusat twolce-ai. Prinsihpas MOOLÂ ja KIELÂ sáhttiba leat seamma leksikonas, iigo nu? 


Nieidâ: RLEN ja RVSH ferte heivehit nu ahte dat guoská maiddái diftoŋggaide.  


Lea vejolaš market Nieidâ-leksikona rukses sajiide WG, CLEN, SVLOW, muhto lea váddásut čilget diftoŋgga nuppástusa. Álkimus livččii čilget ná, ahte dat lea “gievra dássi”, nappo dušše SVLOW. Heivego?


Boađus: gusto birgešii 4 leksikonain â-máddagiin: SOLLA, MOOLA (dahje KIELÂ), NIEIDA, LAVKKÂ (Dál: KUTKÂ). Háliidivččen goit geavahit LAVKKÂ. 
