Verbal inflection in Inari Saami
===========

This document sketches the system of the Inari Saami verb. For each stem type, it gives root vowels, stem vowels and alternations.

In addition, it gives and overview of the twolc triggers used (**^WG, ^VBACK**, etc.) in order to govern the morphophonological processes.



## Two-syllabic verbs


We have -âđ, -iđ, -eđ, -uđ, -ođ, as well as -eeđ, -oođ, -uuđ.


### âđ stems 




Root vowels may be short vowels, long vowels or diphthongs.


####  âđ stems with short vowels


```
  57 2SYLL_KAVNAD
  55 2SYLL_KULGAD
  20 2SYLL_SPELLAD
  19 2SYLL_ETTAD
  18 2SYLL_KOLGAD
  12 2SYLL_OPPAD
   6 2SYLL_SODDAD
   1 2SYLL_KALGAD
```




|   inf     | Sg1    | Prs Sg1 triggers  | Sg3   | Prs Sg3 trig | Pl3    | Pl3 trig |Prt Sg1 | Prt Sg1 trig | stem     	| yaml¶ | contlex
| --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- 
|  tabžâđ    | taabžâm | â%^WG%^VBACK%^RLEN | tábžá  | á%^VHIGH      | täbžeh  | e%>h      | tabžim |  i%^VBACK      | ta%^RVbž   |  %    | 2SYLL_KAVNAD
|  keččâđ    | keejâm  | â%^WG%^VHIGH%^RLEN | kiäččá | á%^VHIGH      | keččih  | i%>h      | keččim | i%>m           | ke%^RVčč   |  %    | 2SYLL_SPELLAD
|  lekkâđ    | leehâm  | â%^WG%^VHIGH%^RLEN | liäkká | á%^VHIGH      | lekkih  | i%>h      | lekkim | i%>m           | le%^RVk4k4 |  %    | 2SYLL_SPELLAD
|  viggâđ    | viigâm  | â%^WG%^VHIGH%^RLEN |  viggá | á             | viggeh  | e%>h      | viggim | i%^VHIGH%>m    | vi%^RVgg   |  +    | 2SYLL_SODDAD
|  kalgâđ    | kaalgâm | â%^WG%^VBACK%^RLEN |  á-á   | á%^WG%^VHIGH  | kälgih  | i%^CSH%>h | kalgim | i%^VBACK       | ka%^RVlg   |  +    | 2SYLL_KALGAD
|  šoddâđ   	| šoodâm  | â%^WG%^VHIGH%^RLEN | a-a    | á             | šaddeh  | e%>h      | šoddim | i%^VHIGH%>m    | ša%^RVdd   |  +    | 2SYLL_SODDAD
|  ettâđ		| eeđâm   | â%^WG%^VHIGH%^RLEN | iä- á  | á%^CSH%^VHIGH | eteh    | e%^CSH%>h | ettim  | i%>m           | e%^RVtt4   |  +    | 2SYLL_ETTAD
|  kulgâđ    | kuulgâm | â%^WG%^VHIGH%^RLEN | o-á    | á             | kolgeh  | e%>h      | kulgim | i%^VHIGH%>m    | ko%^RVlg   |  +    | 2SYLL_KULGAD
|  toppâđ    | toopâm  | â%^WG%^VHIGH%^RLEN |  tappa | á             | tappeh  | e%>h      | toppim | i%^VHIGH%>m    | topp (?)   |  %    | 2SYLL_KULGAD
|  kolgâđ    | koolgâm | â%^WG%^VHIGH%^RLEN | a-a    | a             | kalgeh  | e%>h      | kolgim | i%^VHIGH       | ka%^RVlg   |  +    | 2SYLL_KOLGAD
|  oppâđ     | oopâm   | â%^WG%^VBACK%^RLEN | uqppá  | á             | uáppih  | i%>h      | oppim  | i%^VBACK%^RVSH | uápp       |  +    | 2SYLL_OPPAD




¶) yaml: + = own yaml paradigm, - = no paradigm, % = form in the list yaml file


Errors:
* prt sg1 taabžâim, kaalgâim, šoodâim, eeđâim, kuulgâim








####  âđ stems with long vowels


```
  48 2SYLL_AASSAD
  36 2SYLL_TOOHAD
  26 2SYLL_VIISSAD
  23 2SYLL_MOONNAD
  11 2SYLL_TOOLLAD
   ```




|   inf     | Sg1  | Prs Sg1 trig       | Sg3   | Prs Sg3 trg | Pl3   | Pl3 trig |Prt Sg1 | Prt Sg1 trig | stem       | yaml | contlex
| --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- 
|  njaahâđ | njaaṿâm |  â%^WG             |  njááhá | á%^EA%^CSH  | njäähih| i%^CSH%>h | njaahim | i%^VBACK       | njääh%^RC   |  +   | 2SYLL_AASSAD
|  keerrâđ | keerâm  | â%^WG              | kiärá   | á%^EA%^CSH  | keerih | i%^CSH%>h | keerrim | i%^VBACK       | keerr       |  %   | 2SYLL_AASSAD     
|  viiššâđ | viišâm  | â%^WG%^VHIGH%^RLEN |  viṣ̌á   | á%^CSH      | višeh  | e%^CSH%>h | viššii  | i%^RLEN        | vi%^RVš%^RC |  +   | 2SYLL_VIISSAD    
|  moonnâđ | moonâm  | â%^WG%^VHIGH%^RLEN | maṇâ    | á%^CSH      | maneh  | e%^CSH%>h | moonnim | i%^VHIGH%^RLEN | ma%^RVn%^RC |  +   | 2SYLL_MOONNAD    
|  luuhâđ  | luuvâm  | â%^WG%^VHIGH%^RLEN |  lohá   | %^CSH       | loheh  | e%^CSH%>h | luuhim  | i%^VHIGH%^RLEN | lo%^RVh%^RC |  +   | 2SYLL_TOOHAD  
|  toollâđ | toolâm  | â%^WG%^VBACK       |  tuálá  | á%^CSH      | tuálih | %^CSH%>h  | toollim | i%^VBACK%^RLEN | tuáll       |  +   | 2SYLL_TOOLLAD  




```
  65 2SYLL_VUOLLAD
  34 2SYLL_KIESSAD
   7 2SYLL_VIEZZAD
   6 2SYLL_RUOTTAD
   4 2SYLL_CIEPPAD
```


|   inf    | Sg1    | Prs Sg1 trig       | Sg3   | Prs Sg3 trg | Pl3   | Pl3 trig |Prt Sg1 | Prt Sg1 trig | stem  | yaml | contlex
| --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- 
|  vuollâđ  | vuolâm  | â%^WG%^VBACK%^RLEN | vuálâ   | á%^CSH%^VHIGH | vyelih  | i%^CSH%>h | vuollim | i%^VBACK%^RLEN | vyel%^RC | + | 2SYLL_VUOLLAD
|  kiessâđ  | kiesâm  | â%^WG%             | kiäsá   | á%^EA%^CSH    | kiesih  | i%^CSH%>h | kiessim | i              | kies%^RC | + | 2SYLL_KIESSAD
|  viežžâđ  | viežâm  | â%^WG%             | viäžžá  | á%^EA         | viežžih | i%>h      | viežžim | i              | viežž    | + | 2SYLL_VIEZZAD
|  ruottâđ  | ruotâm  | â%^WG%^VBACK%^RLEN | ruáttá  | á%^VHIGH      | ryettih | i%>h      | ruottim | i%^VBACK%^RLEN | ryett    | + | 2SYLL_RUOTTAD
|  smiettâđ | smietâm | â%^WG              | smiättá | á%^EA         | -       | i%>h      | -       | i              | smiett   | % | 2SYLL_CIEPPAD


* Note: cieppâđ is KIESSAD and čieppâđ is VIEZZAD


Diphthongs are uo and ie, they change to uá and iá, i.e. the second vowel changes.


|   inf     | Sg1     | Sg3
| --- | --- | --- 
|  uo - â   | uo - â   | uá - á
|  ie - â   | ie - â   | iä - á








### iđ stems


Verbs in -iđ with two syllables are either bisyllabic or contract. 
They are contract, if 1. syll contains *a, i, o, u, o*. 
Verbs with syllable *e, ie* may be either bisyllabic or contract.


```
 109 2SYLL_ID
   8 2SYLL_KASTID
```


#### Short root vowel:




|   inf    | Sg1    | Prs Sg1 trig     | Sg3    | Prs Sg3 trg | Pl3   | Pl3 trig |Prt Sg1 | Prt Sg1 trig | stem     | yaml | contlex
| --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- 
|  kästiđ  | káástám | á%^VHIGH%^RLEN     | kástá   | á%^VHIGH    | kästih  | i%>h     | kastim  | i%^VBACK      | kä%^RVst   | + | 2SYLL_KASTID
|  sävviđ  | sávám   | á%^VHIGH%^RLEN     | sávvá   | á%^VHIGH    | -       | i%>h     | -       | i%^VBACK      | sä%^RVvv   | % | 2SYLL_KASTID
|  rähtiđ  | rááhtám | á%^WG%^VHIGH%^RLEN | ráhtá   | á%^VHIGH    | rähtih  | i%>h     | rahtim  | i%^VBACK      | rä%^RVht4  | + | 2SYLL_ID
|  celkkiđ | ciälhám | á%^WG%^VHIGH%^RLEN | ciälkká | á%^VHIGH    | celkkih | i%>h     | celkkim | i%^VBACK      | ce%^RVlkk4 | + | 2SYLL_ID




#### Table


|   inf    | Sg1     | Sg3   | PrtSg3
| --- | --- | --- | --- 
|  ä  - i  | áá - á   | á  - á | aa - i
|  e  - i  | iä - á   | iá - á | ee - i




#### Long root vowel:


```
   7 2SYLL_CAALLID
   6 2SYLL_VYELGID
   5 2SYLL_VYEIJID
   5 2SYLL_UAINID
   5 2SYLL_PAACCID
   4 2SYLL_KEESSID
   4 2SYLL_EELLID
   3 2SYLL_UADDID
   1 JUAVVID
   1 2SYLL_TIETTID
```


|   inf    | Sg1    | Prs Sg1 trig     | Sg3    | Prs Sg3 trg  | Pl3   | Pl3 trig  | Prt Sg1 | Prt Sg1 trg  | stem    | yaml | contlex
| --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- 
|  čäälliđ | čálám   | á%^EA%^WG%^RVSH    | čáálá   | á%^EA%^CSH    | čäälih  | i%^CSH%>h | čaallim | i%^VBACK      | čääll     | +   | 2SYLL_CAALLID
|  peehiđ  | piävám  | á%^WG%^VHIGH%^RLEN | piävá   | á%^CSH%^VHIGH | peehih  | i%^CSH%>h | peehim  | i              | eeh%^RC  | +   | 2SYLL_KEESSID
|  vyeijiđ | vuájám  | á%^WG%^VHIGH       | vuájá   | á%^CSH%^VHIGH | vyejih  | i%^CSH%>h | vuoijim | i%^VBACK%^RLEN | vyei4j   | +   | 2SYLL_VYEIJID
|  uáđđiđ  | uáđám   | á%^EA%^WG%^RLEN    | uáđá    | á%^EA%^CSH     | uáđih   | i%^CSH%>h | oođđim  | i%^VBACK       | uáđđ     |   + | 2SYLL_UADDID
|  uáiniđ  | uáinám  | á%^EA%^WG%^RLEN    | uáiná   | á%^EA         | uáinih  | i%>h      | oinim   | i%^VBACK%^RVSH | uái4n    | +   | 2SYLL_UAINID
|  vyelgiđ | vuálgám | á%^WG%^VHIGH%^RLEN | vuálgá  | á%^VHIGH      | vyelgih | i%>h      | vuolgim | i%^VBACK%^RLEN | vyelg    | +   | 2SYLL_VYELGID
|  pääcciđ | páásám  | á%^EA%^WG          | páácá   | á%^EA%^CSH    | pääcih  | i%^CSH%>h | paaccim | i%^VBACK       | pääcc4   | +   | 2SYLL_PAACCID
|  eelliđ  | iälám   | á%^WG%^VHIGH%^RLEN | iälá    | á%^CSH%^VHIGH | eelih   | i%^CSH%>h | eellim  | i              | eell     | +   | 2SYLL_EELLID
|  tiettiđ | tiäđám  | á%^WG%^VHIGH       | tiätá   | á%^EA%^CSH     | tietih | i%^CSH%>h | tiettim | i              | tiett4   | +   | 2SYLL_TIETTID
|  juávviđ | -       | -                  | -       | á%^EA%^CSH     | -      | -         | -       | -              | juávv    | -   | JUAVVID








#### Table


|   inf    | Sg1     | Sg3   | Prt Sg3 | Prt Du2
| --- | --- | --- | --- | --- 
|  ää - i  | á  - á   | áá - á | aa - i  | aa - i
|  ee - i  | iä - á   | iä - á | ee - i  | e - i
|  ye - i  | uá - á   | yá - á |  - i    | - i
|  uá - i  | uá - á   | uá - á |  - i    | - i








### uđ stems


Stems in -uđ are contract, if 1. syll is a, i, o, u, uo or ie.
Otherwise they are bisyllabic.


```
 243 2SYLL_UD
  41 2SYLL_KUARRUD
   5 2SYLL_OAZZUD
```


|   inf    | Sg1   | Prs Sg1 trig | Sg3   | Prs Sg3 trg | Pl3   | Pl3 trig  | Prt Sg1 | Prt Sg1 trg | stem  | yaml | contlex
| --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- 
|  čuárvuđ | čuárvum | u%^WG%^RLEN  | čuárvu  | u           | čuárvuh | u%>h5      | čuorvum | u%^VBACK     | ču5árv | +     | 2SYLL_UD
|  pákkuđ  | pááhum  | u%^WG%^RLEN  | pákku   | u           | pákkuh  | u%>h5      | pakkum  | u%^VBACK     | ču5árv | +     | 2SYLL_UD
|  kuárruđ | kuárum  | u%^WG%^RLEN  | kuáru   | u%^CSH      | kuáruh  | u%^CSH%>h5 | koorrum | u2%^RLEN     | kuárr  | +     | 2SYLL_KUARRUD
|  uážžuđ  | uážum   | u%^WG        | uážžu   | u%^CLEN     | uážžuh  | u%>h5      | ožžum   | u2           | uážž   | +     | 2SYLL_OAZZUD








### ođ stems


```
 135 2SYLL_OD
   1 C_HOLHOD
```


|   inf  | Sg1  | Prs Sg1 trig | Sg3 | Prs Sg3 trg | Pl3   | Pl3 trg | Prt Sg1 | Prt Sg1 trg | stem  | yaml | contlex
| --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- 
|  koččođ | kočom | o%^WG%^RLEN  | koččo | o           | koččoh | o%>h      | kuččum  | u%^VHIGH     | kočč    | +    | 2SYLL_OD






#### Stem vowels 


|   Inf    | Example
| --- | --- 
|   a - o  | paččođ
|   i - o  | rimččođ
|   u - o  | čurttođ
|   o - o  | koččođ
|  ai - o  | laigođ
|  ui - o  | puiccođ






### ood stems


```
  31 2SYLL_OOD
  24 2SYLL_ORROOD
```


|   inf  | Sg1  | Prs Sg1 trig | Sg3 | Prs Sg3 trg | Pl3   | Pl3 trg | Prt Sg1 | Prt Sg1 trg | stem  | yaml | contlex
| --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- 
|  orroođ | orom  | o%^WG%^RLEN  | oro   | o           | oroh   | o%>h      | uurrum  | u%^VHIGH     | o%^RVrr | +    | 2SYLL_ORROOD




|   Inf   | Ex
| --- | --- 
|  a - oo  | sattoođ
|  i - oo  | njihhoođ
|  o - oo  | orroođ
|  oi - oo | loijoođ
|  u - oo  | luččoođ






### eđ stems


```
  83 2SYLL_PIHTED
  31 2SYLL_POHTED
   8 2SYLL_KALVED
```




pihteđ:pi%^RVht 2SYLL_PIHTED ; !!YAML


|   inf  | Sg1   | Prs Sg1 trg | Sg3 | Prs Sg3 trg | Pl3  | Pl3 trg | Prt Sg1 | Prt Sg1 trg | stem  | yaml | contlex
| --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- 
|  pihteđ | pivtám    | á%^WG       | pihtá | á        | pihteh | e%>h    |  pihtim  |  i%^VHIGH    | pi%^RVht | +   | 2SYLL_PIHTED
|  pohteđ | povtám, poovtám | á%^WG | pohtá | á       | pohteh  | e%>h    |  puhtim  |  i           | po%^RVht | +   | 2SYLL_POHTED






|   Inf | PrsSg1 | PrsSg3 |PrsDu1 | PrsDu2 | PrtSg1 | PrtSg3 | PrtPl3 
| --- | --- | --- | --- | --- | --- | --- | --- 
|  a - e | a - a   | a - a  | a - ee  | a - e  | o - i   | oo - ij |  o - ii  
|  i - e | i - á   | i - á  | i - ee  | i - e  | ii - i  | ii - ij |  i - ii
|  o - e | o - á   | o - á  | o - ee  | o - e  | u - i   | uu - ij |  u - ii
|  u - e | u - á   | u - á  | u - ee  | u - e  | u - i   | uu - ij |  u - ii




Comments:
* Stem vowel a -> á when i root vowel.
* Stem vowel lengthening 


### eeđ stems


```
  27 2SYLL_EED
   2 2SYLL_PAHHEED
```


|   inf  | Sg1   | Prs Sg1 trg | Sg3 | Prs Sg3 trg | Pl3 | Pl3 trg  | Prt Sg1 | Prt Sg1 trg | stem  | yaml | contlex
| --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- 
|  jotteeđ | jođám | á%^WG       | jotá  | á           | joteh | e%>h      | juuttim | i%^VHIGH            | jo%^RVt%^RC | +     | 2SYLL_EED
|  anneeđ  | anam  | á%^WG       | ana   | á           | aneh  | e%>h      | oonnim  | i%^VHIGH            | a%^RVnn     | +     | 2SYLL_EED
|  pahheeđ  | pavam | á%^WG      | paha  | á%^CSH      | paheh | e%^CSH%>h | poohim  | i%^CSH%^VHIGH%^RLEN | pa%^RVhh    | + | 2SYLL_PAHHEED

 




|   Inf   | Ex
| --- | --- 
|  a - ee | anneeđ
|  i - ee | itteeđ
|  o - ee | jotteeđ
|  u - ee | suđđeeđ




#### short root vowel


|   Inf | PrsSg1 | PrsDu1 | PrsDu2 | Prt Sg1 | PrtPl2
| --- | --- | --- | --- | --- | --- 
|  a - ee | a - a | a - ee  | a - e | oo - i  | o - i
|  i - ee | i - á | i - ee  | i - e | oo - i  | o - i
|  o - ee | o - a | o - ee  | o - e | oo - i  | o - i
|  u - ee | u - a | u - ee  | u - e | oo - i  | o - i




### Notes


Long ee vs long oo


It seems we have long -oo when the stem vowel is -o or -u,
and long -ee elsewhere.




## Three-syllabic verbs


```
 554 3_CIELATTID
 488 3_LEKKASID
 425 3_KUIKETTID
 195 3_PUTESTID
 150 3_VYEJETTID
 124 3_COKKIITTID
  93 3_MERIDID
  54 3_ADELID
```


Quoting the documentation: 


* 3_LEKKASID (no stem change)
* 3_CIELATTID (stem-final tt shortening) cielâttiđ: cielât Length change in stem: Consonant change only
* 3_VYEJETTID (2syll vow short in Inf, long in Sg3, 1st syll V lengthening) vyejettiđ vyejeet
* 3_PUTESTID (cns and vow lengthening) putestiđ: putteest Length change in stem: Short V in Inf (before V)
* 3_COKKIITTID (stem-final tt shortening + 2syll vow shortening cokkiittiđ cokkit. 
    - difference in negation + Action Ess, Loc.. compared to 3_COKKIITTID)  
    - Length change in stem: Long V in Inf (before C#).
* 3_KUIKETTID	 
* 3_MERIDID	 
* 3_ADELID
* 3_UTTID



  




## Contracted verbs


```
 369 C_TUHHID
 353 C_TABAHTUD
 197 C_COKKAD
 147 C_RAMMUD
  35 C_PALLAD
   8 C_MERIDUD
   5 C_MERIDUDX
   1 C_HOLHOD
   1 C_CAALLUD
```


### ád contracted verbs (C_COKKAD)


|   inf   | Sg1      | Sg3 
| --- | --- | --- 
|  čokkáđ  | čokkáám  | čokkáá
|  sáhháđ  | áhháám   | sáhháá








### ađ contracted verbs (C_PALLAD)


**Passes**


### iđ contracted verbs (C_TUHHID)


The -iđ verb is contract if 1.syll has a, i, o, u, or uo. 
When the 1.syll is e or ie the verb may be 
either contract or bisyllabic.


|   inf   | Sg1      | Sg3 
| --- | --- | --- 
|  salkkiđ  | salkkiim  | sälkkee
|  stelliđ | stelliim | stellee
|  toppiđ  | toppiim  | tuáppee 
|  monniđ  | monniim  | mannee
|  tuhhiđ  | tuhhiim  | tohhee
|  staaviđ | staaviim | stäävee
|  rievviđ | rievviim | rievvee
|  luoddiđ | luoddiim | lyeddee


|   inf    | Sg1     | Sg3
| --- | --- | --- 
|  e  - i  | e - ii   | e  - ee
|  i  - i  | i  - ii  | i  - ee
|  ie  - i | ie - ii  | ie  - ee
|  u  - i  | u  - ii  | o  - ee


|   inf    | Sg1     | Sg3
| --- | --- | --- 
|  a  - i  | a - ii   | ä  - ee
|  aa  - i | aa - ii  | ää  - ee
|  o  - i  | o - ii   | a - ee
|  o  - i  | o - ii   | uá - ee
|  uo - i  | uo - ii  | ye - ee


1. salkkiđ: stem ä, change to a if 2nd syll vowel is i
1. tuhhiđ: stem o, change to u if 2nd syll vowel is i
1. toppiđ: stem uá, change to o if 2nd syll vowel is i
1. monniđ: stem a, change to o if 2nd syll vowel is i
1. staaviđ: stem ää, change to aa if 2nd syll vowel is i
1. luoddiđ: stem ye, change to uo if 2nd syll vowel is i


### uđ contracted verbs (C_RAMMUD)


Stems in -uđ are contract, if 1. syll is a, i, o, u, uo or ie.
Otherwise they are bisyllabic.


|   inf   | Sg1      | Sg3    | stem | Inf | Sg3
| --- | --- | --- | --- | --- | --- 
|  rammuđ  | rammuum  | rámmoo  | -     | -    | - 
|  semmuđ  | semmuum  | siämmoo | -     | -    | - 
|  possuđ  | possuum  | passoo  | -     | -    | - 
|  purruđ  | purruum  | porroo  | -     | -    | - 
|  tiettuđ | tiettuum | tiättoo | -     | -    | - 
|  oinuđ   | oinuum   |  uáinoo | uá    | RVSH | -
|  puohtuđ | puohtuum | puáhtoo | uá    | -    | ok uo
|  ruáttuđ | ruáttuum | ruáttoo | u5á   | -    | does not work






* subst
    - uá  + EWG = ye
    - u5á + EWG = uá
    - uá        = uá
* verb
    - uá   ... > uđ = o
    - u5á  ... > uđ = uo
    - u5á5 ... > uđ = uá


|   inf    | Sg1     | Sg3
| --- | --- | --- 
|  a  - u  | a - uu   | á   - oo
|  e  - u  | e - uu   | iä  - oo
|  o  - u  | o - uu   | a   - oo
|  u  - u  | u - uu   | o   - oo
|  ie  - u | ie - uu  | iä  - oo
|  uo  - u | uo - uu  | uá  - oo
|  uá  - u | uá - uu  | uá  - oo




1. rammuđ: stem á, change to a if 2nd syll vowel is u
1. semmuđ: stem iä, change to e if 2nd syll vowel is u
1. possuđ: stem a, change to o if 2nd syll vowel is u
1. purruđ: stem o, change to u if 2nd syll vowel is u
1. tiettuđ: stem iä, change to ie if 2nd syll vowel is u
1. puohtuđ: stem uá, change to uo if 2nd syll vowel is u
1. muássuđ: muássud is invariant






## Four-syllabic verbs




```
 533 4_KAVNATTATTAD
  17 4_UHCAD
   8 4_ITTED
```






## Auxiliaries


These ones we just list.
