Source files
------------

- [stems](https://gtsvn.uit.no/langtech/trunk/langs/smn/src/morphology/stems/)
- [affixes](https://gtsvn.uit.no/langtech/trunk/langs/smn/src/morphology/affixes/)
- [syntax](https://gtsvn.uit.no/langtech/trunk/langs/smn/src/syntax/)
- [twolc](https://gtsvn.uit.no/langtech/trunk/langs/smn/src/phonology/smn-phon.twolc)
- [yaml](https://gtsvn.uit.no/langtech/trunk/langs/smn/test/src/gt-norm-yamls/)

Generation of:
- [paradigms](http://giellatekno.uit.no/cgi/p-smn.eng.html) /
- [text](http://giellatekno.uit.no/cgi/d-smn.eng.html) /

Static documentation
--------------------

### FST issues

-   [About testing](Testing.html)
-   [Test configuration](TestConfiguration.html)
-   [Handling variation in lexc: Err/Orth, Err/Lex, +v1 and
    others.](../common/Variation_in_lexc.html)
-   [Twolc kaksitavuiset
    substantiivit](TwolcKaksitavuisetSubstantiivit.html)
-   [Verbal inflection (active)](VerbalInflection.html)
-   [Verbal inflection (passive)](PassiveVerbs.html)
-   [Table showing vowel change in passive](PassiveVowelChange.html)
-   [How to work with non-language-specific
    propernouns](smi-propernouns-stems.html)

### Classifying and improving the lemmas in the FST

-   [Compare continuation lexicons](generatewordforms.html)

Useful commands
---------------

-   In the terminal: analyse words by writing `usmn`, generate with
    `dsmn`
-   For more info, see [How to use the morphological
    parsers](/tools/docu-sme-manual.html)
-   [Tips for practical development work, made for
    Cree](/lang/crk/developingwork.html)
-   [Explanation about frequent commands (in North
    Saami)](/tools/unix_korpus_kursa.html)

The Inari Saami MT project (2014-2016)
--------------------------------------

### 

-   [MT project pages + all meeting
    memos](/mt/smesmn/NorthSaamiInariSaamiMachineTranslation.html)

### Background documents

-   [Background information on the Inari Saami
    project](docu-smn-background.html)
-   [Lyhyt kuvaus inarinsaamen kielestä](LyhytKuvausInarinsaamesta.pdf)
    (Marja-Liisa Olthuis)
-   [Documentation on Inari Saami hyphenation](docu-hyphenation.txt)

### Plans

-   [Analysaattorin tehtävälista](AnalysaattorinTehtavalista.html)
-   [Yaml-tiedostojen tarkistaminen](TarkistaaYaml-tiedostot.html)
-   [Plan for our team work](TeamWorkPlan.html)
